Bug 163929 - [RHEL3] [x86_64/ia64] sys_time and sys_gettimeofday disagree
Summary: [RHEL3] [x86_64/ia64] sys_time and sys_gettimeofday disagree
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wendy Cheng
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-07-22 01:46 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 16:17:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
draft version of the patch that backported from RHEL 4. (1.41 KB, patch)
2005-07-22 01:55 UTC, Wendy Cheng
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-07-22 01:46:09 UTC
Escalated to Bugzilla from IssueTracker

Comment 4 Wendy Cheng 2005-07-22 01:55:04 UTC
Created attachment 117045 [details]
draft version of the patch that backported from RHEL 4.

Well, the issue makes sense. Just did a quick port from RHEL 4 and will test it
out tomorrow when I find the proper machines (ia64 and x86_64) to work with.

Comment 5 Wendy Cheng 2005-07-22 15:22:13 UTC
Created attachment 117068 [details]
Test program from Thomas Walker

compile with g++ -m32 -o sys32_time_test sys32_time_test.C

Comment 6 Wendy Cheng 2005-07-22 15:27:07 UTC
Test the draft patch on x86_64 machine and it seems to work fine by putting
sys32_time_test in a forever loop:

Without the patch, occasionally (depending on timer interrupts) the test program
catches the offset as:

System time(gettimeofday): 1122044166 sec, 0 milliseconds
System time(time): 1122044165 sec
        1 times of 5626349

With the patch the loop could run forever with the following output:

We hit a problem 0 times of 10000000

Comment 7 Wendy Cheng 2005-07-22 15:44:43 UTC
Test program and new kernel gets kicked off on an IA64 machine now - looks fine.
Will let it loop for a while. If something is not right, I'll report back.
Otherwise, please assume we're all set for this issue.

Comment 9 Ernie Petrides 2005-10-08 02:21:42 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.5.EL).


Comment 12 Red Hat Bugzilla 2006-03-15 16:17:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.